## btrfs-progs 5.4.1

=== debian/changelog ===
btrfs-progs (5.4.1-2) unstable; urgency=medium

  * Declare Breaks: on versions of libgcc-s1 that produce bad initramfs.
    Closes: #950556.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 15 Feb 2020 16:52:17 +0100

btrfs-progs (5.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jan 2020 17:51:50 +0100

btrfs-progs (5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 Dec 2019 19:16:40 +0100

btrfs-progs (5.3.1-1) unstable; urgency=medium

  * New upstream point release.
  * Update symbols -- they're versioned upstream now.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 03 Nov 2019 00:37:33 +0100

btrfs-progs (5.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with new asciidoctor.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 21 Oct 2019 18:01:05 +0200

=== debian/control ===
Source: btrfs-progs
Section: admin
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 12),
               e2fslibs-dev,
               pkg-config,
               libacl1-dev,
               libblkid-dev,
               liblzo2-dev,
               libzstd-dev,
               uuid-dev,
               udev,
               zlib1g-dev,
               asciidoctor,
               xmlto,
               bash-completion,
	       python3-dev,
	       python3-setuptools,
	       dh-python,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: http://btrfs.wiki.kernel.org/
Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
Vcs-Git: https://salsa.debian.org/debian/btrfs-progs.git -b debian

Package: btrfs-progs
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: btrbk (<= 0.25.0), libgcc-s1 (<< 10-20200211)
Suggests: duperemove
Description: Checksumming Copy on Write Filesystem utilities
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.

Package: libbtrfs0
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: btrfs-progs (<< 4.16.1-1)
Breaks: btrfs-progs (<< 4.16.1-1)
Description: Checksumming Copy on Write Filesystem utilities (runtime library)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains userspace shared code library libbtrfs.

Package: libbtrfs-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
Replaces: btrfs-progs (<< 4.16.1-1)
Breaks: btrfs-progs (<< 4.16.1-1)
Description: Checksumming Copy on Write Filesystem utilities (development headers)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains development headers for the libbtrfs library.

Package: libbtrfsutil1
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains userspace shared code library libbtrfsutil.

Package: libbtrfsutil-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
Description: Checksumming Copy on Write Filesystem utilities (util development headers)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains development headers for the libbtrfsutil library.

Package: python3-btrfsutil
Architecture: linux-any
Multi-Arch: same
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains python3 bindings.

Package: btrfs-progs-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (udeb)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC := gcc
endif

SHELL := sh -e

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))

%:
	dh ${@} --with bash-completion,python3

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/bin

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install -- install
	cd libbtrfsutil/python; \
		python3 setup.py install --install-layout=deb --skip-build --root ../../debian/tmp --prefix /usr
	mkdir -p debian/tmp/sbin
	mv debian/tmp/bin/fsck.btrfs debian/tmp/sbin/fsck.btrfs
	mv debian/tmp/bin/mkfs.btrfs debian/tmp/sbin/mkfs.btrfs

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-progs/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-progs/usr/share/initramfs-tools/scripts/local-premount/btrfs

# Needs autopkgtest
override_dh_auto_test:

override_dh_install:
	dh_install
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='btrfs-progs (<< 4.11.1+dfsg-1~)'

override_dh_auto_clean:
	if test -f Makefile.inc; then \
		dh_auto_clean; \
	fi

## btrfs-progs 5.7

=== debian/changelog ===
btrfs-progs (5.7-1) unstable; urgency=medium

  * New upstream release.
  * Hardcode dependency on modern libgcc-s1 + breaks: old initramfs-tools,
    to avoid extra moving parts.
  * Don't declare initramfs trigger ourselves (done by dh_installinitramfs).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 06 Jul 2020 01:07:42 +0200

btrfs-progs (5.6-1) unstable; urgency=medium

  * New upstream release.
  * Versioned symbols.
  * Slightly improve long descs.
  * Drop old -dbgsym migration.
  * Don't skip scan if modprobe fails (eg. due to built-in).
    Closes: #956174.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Apr 2020 00:59:59 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
@@ -27,11 +27,12 @@
 Package: btrfs-progs
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: btrbk (<= 0.25.0), libgcc-s1 (<< 10-20200211)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgcc-s1 (>> 10-20200211)
+# backports will want the Breaks:libcc-s1 below
+Breaks: btrbk (<= 0.25.0), libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -46,7 +47,7 @@
 Replaces: btrfs-progs (<< 4.16.1-1)
 Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (runtime library)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -60,7 +61,7 @@
 Replaces: btrfs-progs (<< 4.16.1-1)
 Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -71,8 +72,9 @@
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: python3-btrfsutil (<< 5.5)
 Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .
@@ -84,7 +86,7 @@
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .

## btrfs-progs 5.10

=== debian/changelog ===
btrfs-progs (5.10-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 29 Jan 2021 18:36:33 -0500

btrfs-progs (5.10-1) unstable; urgency=medium

  * New upstream release.
  * Add libmount-dev to B-Deps.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Jan 2021 00:17:58 +0100

btrfs-progs (5.9-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 05 Nov 2020 16:18:31 -0500

btrfs-progs (5.9-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 23 Oct 2020 21:22:35 +0200

btrfs-progs (5.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Drop hardcoded dep on modern libgcc-s1, and breaks old initramfs-tools,
    because these are not applicable to the backport.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 28 Jul 2020 20:31:55 -0400

btrfs-progs (5.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 05 Jun 2020 11:27:24 -0400

btrfs-progs (5.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Restore Provides: btrfs-tools.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 27 Aug 2019 15:59:22 -0400

## btrfs-progs 5.10.1

=== Makefile ===
#
# Basic build targets:
#   all		all main tools and the shared library
#   static      build static binaries, requires static version of the libraries
#   test        run the full testsuite
#   install     install binaries, shared libraries and header files to default
#               location (/usr/local)
#   install-static
#               install the static binaries, static libraries and header files
#               to default locationh (/usr/local)
#   clean       clean built binaries (not the documentation)
#   clean-all   clean as above, clean docs and generated files
#
# All-in-one binary (busybox style):
#   btrfs.box         single binary with functionality of mkfs.btrfs, btrfs-image,
#                     btrfs-convert and btrfstune, selected by the file name
#   btrfs.box.static  dtto, static version
#
# Tuning by variables (environment or make arguments):
#   V=1            verbose, print command lines (default: quiet)
#   C=1            run checker before compilation (default checker: sparse)
#   D=1            debugging build, turn off optimizations
#   D=dflags       dtto, turn on additional debugging features:
#                  verbose - print file:line along with error/warning messages
#                  trace   - print trace before the error/warning messages
#                  abort   - call abort() on first error (dumps core)
#                  all     - shortcut for all of the above
#                  asan    - enable address sanitizer compiler feature
#                  tsan    - enable thread sanitizer compiler feature
#                  ubsan   - undefined behaviour sanitizer compiler feature
#                  bcheck  - extended build checks
#   W=123          build with warnings (default: off)
#   DEBUG_CFLAGS   additional compiler flags for debugging build
#   EXTRA_CFLAGS   additional compiler flags
#   EXTRA_LDFLAGS  additional linker flags
#   EXTRA_PYTHON_CFLAGS   additional compiler flags to pass when building Python
#                         library
#   EXTRA_PYTHON_LDFLAGS  additional linker flags to pass when building Python
#                         library
#
# Testing-specific options (see also tests/README.md):
#   TEST=GLOB      run test(s) from directories matching GLOB
#   TEST_LOG=tty   print name of a command run via the execution helpers
#   TEST_LOG=dump  dump testing log file when a test fails
#
# Static checkers:
#   CHECKER        static checker binary to be called (default: sparse)
#   CHECKER_FLAGS  flags to pass to CHECKER, can override CFLAGS
#

# Export all variables to sub-makes by default
export

-include Makefile.inc
ifneq ($(MAKEFILE_INC_INCLUDED),yes)
$(error Makefile.inc not generated, please configure first)
endif

TAGS_CMD := ctags
ETAGS_CMD := etags
CSCOPE_CMD := cscope -u -b -c -q

include Makefile.extrawarn

EXTRA_CFLAGS :=
EXTRA_LDFLAGS :=

DEBUG_CFLAGS_DEFAULT = -O0 -U_FORTIFY_SOURCE -ggdb3
DEBUG_CFLAGS_INTERNAL =
DEBUG_CFLAGS :=

DEBUG_LDFLAGS_DEFAULT =
DEBUG_LDFLAGS_INTERNAL =
DEBUG_LDFLAGS :=

ABSTOPDIR = $(shell pwd)
TOPDIR := .

# Disable certain GCC 8 + glibc 2.28 warning for snprintf()
# where string truncation for snprintf() is expected.
# For GCC9 disable address-of-packed (under W=1)
DISABLE_WARNING_FLAGS := $(call cc-disable-warning, format-truncation) \
	$(call cc-disable-warning, address-of-packed-member)

# Warnings that we want by default
ENABLE_WARNING_FLAGS := $(call cc-option, -Wimplicit-fallthrough)

# Common build flags
CFLAGS = $(SUBST_CFLAGS) \
	 $(CSTD) \
	 -include config.h \
	 -DBTRFS_FLAT_INCLUDES \
	 -D_XOPEN_SOURCE=700  \
	 -fno-strict-aliasing \
	 -fPIC \
	 -I$(TOPDIR) \
	 -I$(TOPDIR)/libbtrfsutil \
	 $(CRYPTO_CFLAGS) \
	 $(DISABLE_WARNING_FLAGS) \
	 $(ENABLE_WARNING_FLAGS) \
	 $(EXTRAWARN_CFLAGS) \
	 $(DEBUG_CFLAGS_INTERNAL) \
	 $(EXTRA_CFLAGS)

LIBBTRFSUTIL_CFLAGS = $(SUBST_CFLAGS) \
		      $(CSTD) \
		      -D_GNU_SOURCE \
		      -fPIC \
		      -fvisibility=hidden \
		      -I$(TOPDIR)/libbtrfsutil \
		      $(EXTRAWARN_CFLAGS) \
		      $(DEBUG_CFLAGS_INTERNAL) \
		      $(EXTRA_CFLAGS)

LDFLAGS = $(SUBST_LDFLAGS) \
	  -rdynamic -L$(TOPDIR) \
	  $(DEBUG_LDFLAGS_INTERNAL) \
	  $(EXTRA_LDFLAGS)

LIBBTRFSUTIL_LDFLAGS = $(SUBST_LDFLAGS) \
		       -rdynamic -L$(TOPDIR) \
		       $(DEBUG_LDFLAGS_INTERNAL) \
		       $(EXTRA_LDFLAGS)

# Default implementation
CRYPTO_OBJECTS =

LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)
LIBBTRFS_LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)

# Static compilation flags
STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections -DSTATICBUILD=1
STATIC_LDFLAGS = -static -Wl,--gc-sections
STATIC_LIBS = $(STATIC_LIBS_BASE)

# Static build with libmount print some warnings due to usage of UID/GID
# functions that require some glibc dynamic functionality at runtime.
# The following can be ignored:
# - mnt_get_gid using getgrnam_r
# - mnt_get_uid using getpwnam_r
# - mnt_get_username using getpwuid_r
STATICWARNING = @echo "    NOTE: warnings about getgrnam_r/mnt_get_uid/... are harmless, building"

# don't use FORTIFY with sparse because glibc with FORTIFY can
# generate so many sparse errors that sparse stops parsing,
# which masks real errors that we want to see.
# Note: additional flags might get added per-target later
CHECKER := sparse
check_defs := .cc-defines.h
CHECKER_FLAGS := -include $(check_defs) -D__CHECKER__ \
	-D__CHECK_ENDIAN__ -Wbitwise -Wuninitialized -Wshadow -Wundef \
	-U_FORTIFY_SOURCE -Wdeclaration-after-statement -Wdefault-bitfield-sign

objects = kernel-shared/dir-item.o \
	  qgroup.o kernel-lib/list_sort.o props.o \
	  kernel-shared/ulist.o check/qgroup-verify.o kernel-shared/backref.o \
	  common/string-table.o common/task-utils.o \
	  kernel-shared/inode.o kernel-shared/file.o common/help.o cmds/receive-dump.o \
	  common/fsfeatures.o \
	  common/format-output.o \
	  common/device-utils.o
cmds_objects = cmds/subvolume.o cmds/filesystem.o cmds/device.o cmds/scrub.o \
	       cmds/inspect.o cmds/balance.o cmds/send.o cmds/receive.o \
	       cmds/quota.o cmds/qgroup.o cmds/replace.o check/main.o \
	       cmds/restore.o cmds/rescue.o cmds/rescue-chunk-recover.o \
	       cmds/rescue-super-recover.o \
	       cmds/property.o cmds/filesystem-usage.o cmds/inspect-dump-tree.o \
	       cmds/inspect-dump-super.o cmds/inspect-tree-stats.o cmds/filesystem-du.o \
	       mkfs/common.o check/mode-common.o check/mode-lowmem.o
libbtrfs_objects = common/send-stream.o common/send-utils.o kernel-lib/rbtree.o btrfs-list.o \
		   kernel-lib/radix-tree.o common/extent-cache.o kernel-shared/extent_io.o \
		   crypto/crc32c.o common/messages.o \
		   kernel-shared/uuid-tree.o common/utils-lib.o common/rbtree-utils.o \
		   kernel-shared/ctree.o kernel-shared/disk-io.o \
		   kernel-shared/extent-tree.o kernel-shared/delayed-ref.o \
		   kernel-shared/print-tree.o \
		   kernel-shared/free-space-cache.o kernel-shared/root-tree.o \
		   kernel-shared/volumes.o kernel-shared/transaction.o \
		   kernel-shared/free-space-tree.o repair.o kernel-shared/inode-item.o \
		   kernel-shared/file-item.o \
		   kernel-lib/raid56.o kernel-lib/tables.o \
		   common/device-scan.o common/path-utils.o \
		   common/utils.o libbtrfsutil/subvolume.o libbtrfsutil/stubs.o \
		   crypto/hash.o crypto/xxhash.o $(CRYPTO_OBJECTS)
libbtrfs_headers = common/send-stream.h common/send-utils.h send.h kernel-lib/rbtree.h btrfs-list.h \
	       crypto/crc32c.h kernel-lib/list.h kerncompat.h \
	       kernel-lib/radix-tree.h kernel-lib/sizes.h kernel-lib/raid56.h \
	       common/extent-cache.h kernel-shared/extent_io.h ioctl.h \
	       kernel-shared/ctree.h btrfsck.h version.h
libbtrfsutil_major := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MAJOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_minor := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MINOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_patch := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_PATCH ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_version := $(libbtrfsutil_major).$(libbtrfsutil_minor).$(libbtrfsutil_patch)
libbtrfsutil_objects = libbtrfsutil/errors.o libbtrfsutil/filesystem.o \
		       libbtrfsutil/subvolume.o libbtrfsutil/qgroup.o \
		       libbtrfsutil/stubs.o
convert_objects = convert/main.o convert/common.o convert/source-fs.o \
		  convert/source-ext2.o convert/source-reiserfs.o
mkfs_objects = mkfs/main.o mkfs/common.o mkfs/rootdir.o
image_objects = image/main.o image/sanitize.o
all_objects = $(objects) $(cmds_objects) $(libbtrfs_objects) $(convert_objects) \
	      $(mkfs_objects) $(image_objects) $(libbtrfsutil_objects)

udev_rules = 64-btrfs-dm.rules

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
  SETUP_PY_Q =
else
  Q = @
  SETUP_PY_Q = -q
endif

ifeq ("$(origin D)", "command line")
  DEBUG_CFLAGS_INTERNAL = $(DEBUG_CFLAGS_DEFAULT) $(DEBUG_CFLAGS)
  DEBUG_LDFLAGS_INTERNAL = $(DEBUG_LDFLAGS_DEFAULT) $(DEBUG_LDFLAGS)
endif

ifneq (,$(findstring verbose,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
endif

ifneq (,$(findstring trace,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
endif

ifneq (,$(findstring abort,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring all,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring asan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=address
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=address -lasan
endif

ifneq (,$(findstring tsan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=thread -fPIC
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=thread -ltsan -pie
endif

ifneq (,$(findstring ubsan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=undefined
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=undefined -lubsan
endif

ifneq (,$(findstring bcheck,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_BUILD_CHECKS
endif

MAKEOPTS = --no-print-directory Q=$(Q)

# built-in sources into "busybox", all files that contain the main function and
# are not compiled standalone
progs_box_main = btrfs.o mkfs/main.o image/main.o convert/main.o \
		 btrfstune.o

progs_box_all_objects = $(mkfs_objects) $(image_objects) $(convert_objects)
progs_box_all_static_objects = $(static_mkfs_objects) $(static_image_objects) \
			       $(static_convert_objects)

progs_box_objects = $(filter-out %/main.o, $(progs_box_all_objects)) \
		    $(patsubst %.o, %.box.o, $(progs_box_main))
progs_box_static_objects = $(filter-out %/main.static.o, $(progs_box_all_static_objects)) \
		    $(patsubst %.o, %.box.static.o, $(progs_box_main))

# Programs to install.
progs_install = btrfs mkfs.btrfs btrfs-map-logical btrfs-image \
		btrfs-find-root btrfstune btrfs-select-super

# Programs to build.
progs_build = $(progs_install) btrfsck btrfs-corrupt-block

# All programs. Use := instead of = so that this is expanded before we reassign
# progs_build below.
progs := $(progs_build) btrfs-convert btrfs-fragments btrfs-sb-mod

ifneq ($(DISABLE_BTRFSCONVERT),1)
progs_install += btrfs-convert
endif

# Static programs to build. Use := instead of = because `make static` should
# still build everything even if --disable-programs was passed to ./configure.
progs_static := $(foreach p,$(progs_build),$(p).static)

ifneq ($(BUILD_PROGRAMS),1)
progs_install =
progs_build =
endif

# external libs required by various binaries; for btrfs-foo,
# specify btrfs_foo_libs = <list of libs>; see $($(subst...)) rules below
btrfs_convert_cflags = -DBTRFSCONVERT_EXT2=$(BTRFSCONVERT_EXT2)
btrfs_convert_cflags += -DBTRFSCONVERT_REISERFS=$(BTRFSCONVERT_REISERFS)
btrfs_fragments_libs = -lgd -lpng -ljpeg -lfreetype
cmds_restore_cflags = -DBTRFSRESTORE_ZSTD=$(BTRFSRESTORE_ZSTD)

ifeq ($(CRYPTOPROVIDER_BUILTIN),1)
CRYPTO_OBJECTS = crypto/sha224-256.o crypto/blake2b-ref.o
CRYPTO_CFLAGS = -DCRYPTOPROVIDER_BUILTIN=1
endif

CHECKER_FLAGS += $(btrfs_convert_cflags)

=== debian/changelog ===
btrfs-progs (5.10.1-2) unstable; urgency=medium

  * Fix failure to add new devices via a devmapper path.  Closes: #982990

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 14 May 2021 02:52:17 +0200

btrfs-progs (5.10.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 06 Feb 2021 00:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
+               libmount-dev,
                libzstd-dev,
                uuid-dev,
                udev,
@@ -18,7 +19,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,6 @@
 	dh_install
 	dh_missing --list-missing
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='btrfs-progs (<< 4.11.1+dfsg-1~)'
-
 override_dh_auto_clean:
 	if test -f Makefile.inc; then \
 		dh_auto_clean; \

## btrfs-progs 5.16.2

=== Makefile ===
--- 
+++ 
@@ -129,17 +129,9 @@
 LIBBTRFS_LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)
 
 # Static compilation flags
-STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections -DSTATICBUILD=1
+STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections -DSTATIC_BUILD
 STATIC_LDFLAGS = -static -Wl,--gc-sections
 STATIC_LIBS = $(STATIC_LIBS_BASE)
-
-# Static build with libmount print some warnings due to usage of UID/GID
-# functions that require some glibc dynamic functionality at runtime.
-# The following can be ignored:
-# - mnt_get_gid using getgrnam_r
-# - mnt_get_uid using getpwnam_r
-# - mnt_get_username using getpwuid_r
-STATICWARNING = @echo "    NOTE: warnings about getgrnam_r/mnt_get_uid/... are harmless, building"
 
 # don't use FORTIFY with sparse because glibc with FORTIFY can
 # generate so many sparse errors that sparse stops parsing,
@@ -151,15 +143,61 @@
 	-D__CHECK_ENDIAN__ -Wbitwise -Wuninitialized -Wshadow -Wundef \
 	-U_FORTIFY_SOURCE -Wdeclaration-after-statement -Wdefault-bitfield-sign
 
-objects = kernel-shared/dir-item.o \
-	  qgroup.o kernel-lib/list_sort.o props.o \
-	  kernel-shared/ulist.o check/qgroup-verify.o kernel-shared/backref.o \
-	  common/string-table.o common/task-utils.o \
-	  kernel-shared/inode.o kernel-shared/file.o common/help.o cmds/receive-dump.o \
-	  common/fsfeatures.o \
-	  common/format-output.o \
-	  common/device-utils.o
-cmds_objects = cmds/subvolume.o cmds/filesystem.o cmds/device.o cmds/scrub.o \
+objects = \
+	kernel-lib/list_sort.o	\
+	kernel-lib/radix-tree.o	\
+	kernel-lib/raid56.o	\
+	kernel-lib/rbtree.o	\
+	kernel-lib/tables.o	\
+	kernel-shared/backref.o \
+	kernel-shared/ctree.o	\
+	kernel-shared/delayed-ref.o	\
+	kernel-shared/dir-item.o	\
+	kernel-shared/disk-io.o	\
+	kernel-shared/extent-tree.o	\
+	kernel-shared/extent_io.o	\
+	kernel-shared/file-item.o	\
+	kernel-shared/file.o	\
+	kernel-shared/free-space-cache.o	\
+	kernel-shared/free-space-tree.o	\
+	kernel-shared/inode-item.o	\
+	kernel-shared/inode.o	\
+	kernel-shared/print-tree.o	\
+	kernel-shared/root-tree.o	\
+	kernel-shared/transaction.o	\
+	kernel-shared/ulist.o	\
+	kernel-shared/uuid-tree.o	\
+	kernel-shared/volumes.o	\
+	kernel-shared/zoned.o	\
+	common/device-scan.o	\
+	common/device-utils.o	\
+	common/extent-cache.o	\
+	common/format-output.o	\
+	common/fsfeatures.o	\
+	common/help.o	\
+	common/messages.o	\
+	common/open-utils.o	\
+	common/parse-utils.o	\
+	common/path-utils.o	\
+	common/rbtree-utils.o	\
+	common/repair.o	\
+	common/send-stream.o	\
+	common/send-utils.o	\
+	common/string-table.o	\
+	common/task-utils.o \
+	common/units.o	\
+	common/utils.o	\
+	check/qgroup-verify.o	\
+	cmds/receive-dump.o	\
+	crypto/crc32c.o	\
+	crypto/hash.o	\
+	crypto/xxhash.o	\
+	$(CRYPTO_OBJECTS)	\
+	libbtrfsutil/stubs.o	\
+	libbtrfsutil/subvolume.o
+
+cmds_objects = cmds/subvolume.o cmds/subvolume-list.o \
+	       cmds/filesystem.o cmds/device.o cmds/scrub.o \
 	       cmds/inspect.o cmds/balance.o cmds/send.o cmds/receive.o \
 	       cmds/quota.o cmds/qgroup.o cmds/replace.o check/main.o \
 	       cmds/restore.o cmds/rescue.o cmds/rescue-chunk-recover.o \
@@ -167,26 +205,17 @@
 	       cmds/property.o cmds/filesystem-usage.o cmds/inspect-dump-tree.o \
 	       cmds/inspect-dump-super.o cmds/inspect-tree-stats.o cmds/filesystem-du.o \
 	       mkfs/common.o check/mode-common.o check/mode-lowmem.o
-libbtrfs_objects = common/send-stream.o common/send-utils.o kernel-lib/rbtree.o btrfs-list.o \
-		   kernel-lib/radix-tree.o common/extent-cache.o kernel-shared/extent_io.o \
-		   crypto/crc32c.o common/messages.o \
-		   kernel-shared/uuid-tree.o common/utils-lib.o common/rbtree-utils.o \
-		   kernel-shared/ctree.o kernel-shared/disk-io.o \
-		   kernel-shared/extent-tree.o kernel-shared/delayed-ref.o \
-		   kernel-shared/print-tree.o \
-		   kernel-shared/free-space-cache.o kernel-shared/root-tree.o \
-		   kernel-shared/volumes.o kernel-shared/transaction.o \
-		   kernel-shared/free-space-tree.o repair.o kernel-shared/inode-item.o \
-		   kernel-shared/file-item.o \
-		   kernel-lib/raid56.o kernel-lib/tables.o \
-		   common/device-scan.o common/path-utils.o \
-		   common/utils.o libbtrfsutil/subvolume.o libbtrfsutil/stubs.o \
-		   crypto/hash.o crypto/xxhash.o $(CRYPTO_OBJECTS)
-libbtrfs_headers = common/send-stream.h common/send-utils.h send.h kernel-lib/rbtree.h btrfs-list.h \
-	       crypto/crc32c.h kernel-lib/list.h kerncompat.h \
-	       kernel-lib/radix-tree.h kernel-lib/sizes.h kernel-lib/raid56.h \
+
+libbtrfs_objects = \
+		kernel-lib/rbtree.o	\
+		libbtrfs/send-stream.o	\
+		libbtrfs/send-utils.o	\
+		crypto/crc32c.o
+
+libbtrfs_headers = libbtrfs/send-stream.h libbtrfs/send-utils.h kernel-shared/send.h kernel-lib/rbtree.h \
+	       kernel-lib/list.h kerncompat.h \
 	       common/extent-cache.h kernel-shared/extent_io.h ioctl.h \
-	       kernel-shared/ctree.h btrfsck.h version.h
+	       kernel-shared/ctree.h version.h
 libbtrfsutil_major := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MAJOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
 libbtrfsutil_minor := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MINOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
 libbtrfsutil_patch := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_PATCH ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
@@ -195,13 +224,14 @@
 		       libbtrfsutil/subvolume.o libbtrfsutil/qgroup.o \
 		       libbtrfsutil/stubs.o
 convert_objects = convert/main.o convert/common.o convert/source-fs.o \
-		  convert/source-ext2.o convert/source-reiserfs.o
+		  convert/source-ext2.o convert/source-reiserfs.o \
+		  mkfs/common.o
 mkfs_objects = mkfs/main.o mkfs/common.o mkfs/rootdir.o
 image_objects = image/main.o image/sanitize.o
 all_objects = $(objects) $(cmds_objects) $(libbtrfs_objects) $(convert_objects) \
 	      $(mkfs_objects) $(image_objects) $(libbtrfsutil_objects)
 
-udev_rules = 64-btrfs-dm.rules
+udev_rules = 64-btrfs-dm.rules 64-btrfs-zoned.rules
 
 ifeq ("$(origin V)", "command line")
   BUILD_VERBOSE = $(V)
@@ -314,3 +344,8 @@
 
 CHECKER_FLAGS += $(btrfs_convert_cflags)
 
+# collect values of the variables above
+standalone_deps = $(foreach dep,$(patsubst %,%_objects,$(subst -,_,$(filter btrfs-%, $(progs)))),$($(dep)))
+
+SUBDIRS =
+BUILDDIRS = $(patsubst %,build-%,$(SUBDIRS))

=== debian/changelog ===
btrfs-progs (5.16.2-1) unstable; urgency=medium

  * New upstream release.
    + Fix warning on deleting a subvolume as non-root (closes: #998840).
  * Drop pre-oldstable Breaks/Replaces.
  * Install udev rules in initramfs hook (closes: #1000961).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 Feb 2022 18:39:55 +0100

btrfs-progs (5.15.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 01 Dec 2021 00:29:38 +0100

btrfs-progs (5.15-1) unstable; urgency=medium

  * New upstream release.
  * Add B-Dep on libudev-dev.
  * Add Build-Depends-Package for libbtrfs.
  * Drop an unused pattern and license from the copyright file.
  * Enable hardening.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Nov 2021 00:17:40 +0100

btrfs-progs (5.14.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 21 Sep 2021 21:06:14 +0200

btrfs-progs (5.14-1) unstable; urgency=medium

  * New upstream release.
  * Drop breaks on pre-Buster btrbk.
  * Delete symbols from libbtrfs except those used by snapper.  Per
    upstream, there's no soname bump.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 13 Sep 2021 07:17:40 +0200

btrfs-progs (5.13.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop handling of early-bullseye-unstable libgcc-s1.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 Aug 2021 17:21:52 +0200

btrfs-progs (5.13-1) experimental; urgency=medium

  * New upstream release.
  * Don't depend on libgcc-s1 on hppa.  Closes: #990324

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Jul 2021 15:19:33 +0200

btrfs-progs (5.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Mention relicensing of libbtrfsutil to LGPL in debian/copyright

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 14 May 2021 01:55:00 +0200

btrfs-progs (5.11.1-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 26 Mar 2021 08:12:36 +0100

btrfs-progs (5.11-1) experimental; urgency=medium

  * New upstream release.
  * Drop libmount-dev from B-Deps again.
  * Install libbtrfsutil.pc

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Mar 2021 00:05:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                e2fslibs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libmount-dev,
+               libudev-dev,
                libzstd-dev,
                uuid-dev,
                udev,
@@ -19,7 +19,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
@@ -28,9 +28,8 @@
 Package: btrfs-progs
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgcc-s1 (>> 10-20200211)
-# backports will want the Breaks:libcc-s1 below
-Breaks: btrbk (<= 0.25.0), libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a copy on write filesystem for Linux aimed at implementing
@@ -45,8 +44,6 @@
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: btrfs-progs (<< 4.16.1-1)
-Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (runtime library)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -59,8 +56,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
-Replaces: btrfs-progs (<< 4.16.1-1)
-Breaks: btrfs-progs (<< 4.16.1-1)
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -9,8 +10,9 @@
 
 SHELL := sh -e
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh ${@} --with bash-completion,python3

## btrfs-progs 5.16.2-1+11.0trisquel1

=== debian/changelog ===
btrfs-progs (5.16.2-1+11.0trisquel1) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:04:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13),
                e2fslibs-dev,
                pkg-config,

## btrfs-progs 5.19

=== debian/changelog ===
btrfs-progs (5.19-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 16 Aug 2022 16:29:29 +0200

btrfs-progs (5.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jun 2022 19:13:14 +0200

btrfs-progs (5.18-1) unstable; urgency=medium

  * New upstream release.
  * Drop an obsolete Breaks.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 May 2022 01:02:16 +0200

btrfs-progs (5.17-1) unstable; urgency=medium

  * New upstream release.
  * Switch from asciidoc[tor] to sphinx.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 May 2022 16:07:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (= 13),
-               e2fslibs-dev,
+               libext2fs-dev,
                pkg-config,
                libacl1-dev,
                libblkid-dev,
@@ -13,13 +13,13 @@
                uuid-dev,
                udev,
                zlib1g-dev,
-               asciidoctor,
+               sphinx,
                xmlto,
                bash-completion,
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
@@ -29,7 +29,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libgcc-s1 (<< 10-20200211), initramfs-tools (<< 0.137~)
+Breaks: initramfs-tools (<< 0.137~)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a copy on write filesystem for Linux aimed at implementing

## btrfs-progs 6.1

=== debian/changelog ===
btrfs-progs (6.1-1.1~siduction.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix https://github.com/Antynea/grub-btrfs/issues/254

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 27 Dec 2022 22:48:37 +0100

btrfs-progs (6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 23 Dec 2022 00:53:24 +0100

btrfs-progs (6.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 26 Nov 2022 03:44:06 +0100

btrfs-progs (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Spaces→tabs [Jelmer Vernooĳ].

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Nov 2022 18:09:00 +0100

btrfs-progs (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Trim debian/copyright wrt files removed upstream.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 11 Oct 2022 12:24:00 +0200

btrfs-progs (5.19.1-1) unstable; urgency=medium

  * New upstream release (closes: #1020233).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Sep 2022 21:03:02 +0200

## btrfs-progs 6.1.2

=== debian/changelog ===
btrfs-progs (6.1.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 08 Jan 2023 01:37:24 +0100

btrfs-progs (6.1.1-1) unstable; urgency=medium

  * New upstream bugfix release, reverts changes that broke btrbk, snapper
    and more (closes: #1027785, #1027628).
    This will break programs that have already adapted to the changes. 🫤

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 05 Jan 2023 03:44:03 +0100

## btrfs-progs 6.2

=== debian/changelog ===
btrfs-progs (6.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 30 Apr 2023 07:25:34 -0400

btrfs-progs (6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 01 Mar 2023 00:17:49 +0100

btrfs-progs (6.1.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 23 Feb 2023 20:01:21 -0500

btrfs-progs (6.1.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 Feb 2023 11:16:44 +0100

btrfs-progs (6.1.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 31 Jan 2023 19:54:20 -0500

btrfs-progs (6.0.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 28 Dec 2022 14:05:49 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
 Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian

## btrfs-progs 6.3.2

=== debian/changelog ===
btrfs-progs (6.3.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Jun 2023 22:12:17 +0200

btrfs-progs (6.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop pre-buster breaks.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 11 Jun 2023 21:10:24 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: initramfs-tools (<< 0.137~)
 Suggests: duperemove
 Description: Checksumming Copy on Write Filesystem utilities
  Btrfs is a copy on write filesystem for Linux aimed at implementing
@@ -68,7 +67,6 @@
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: python3-btrfsutil (<< 5.5)
 Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy

## btrfs-progs 6.6.3

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 13),
-               libext2fs-dev,
-               pkg-config,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
+               dh-python,
                libacl1-dev,
                libblkid-dev,
+               libext2fs-dev,
                liblzo2-dev,
+#               libreiserfscore-dev,
                libudev-dev,
                libzstd-dev,
+               pkg-config,
+               python3-dev,
+               python3-setuptools,
+               python3-sphinx-rtd-theme,
+               sphinx,
+               udev,
                uuid-dev,
-               udev,
-               zlib1g-dev,
-               sphinx,
                xmlto,
-               bash-completion,
-	       python3-dev,
-	       python3-setuptools,
-	       dh-python,
+               zlib1g-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
-Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs/tree/debian
-Vcs-Git: https://salsa.debian.org/debian/btrfs-progs.git -b debian
+Vcs-Browser: https://git.sr.ht/~kilobyte/btrfs-progs
+Vcs-Git: https://git.sr.ht/~kilobyte/btrfs-progs -b debian
 
 Package: btrfs-progs
 Architecture: linux-any
@@ -36,7 +39,7 @@
  administration.
  .
  This package contains utilities (mkfs, fsck) used to work with btrfs
- and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
+ and an utility (btrfs-convert) to make a btrfs filesystem from an ext fs.
 
 Package: libbtrfs0
 Architecture: linux-any
@@ -54,7 +57,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
+Depends: libbtrfs0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -78,7 +81,9 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
+Depends: libbtrfsutil1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -90,9 +95,9 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: python
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
- Btrfs is a new copy on write filesystem for Linux aimed at implementing
+ Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
  administration.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,11 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-include /usr/share/dpkg/architecture.mk
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-  CC := $(DEB_HOST_GNU_TYPE)-gcc
-else
-  CC := gcc
-endif
+include /usr/share/dpkg/default.mk
 
 SHELL := sh -e
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS := $(patsubst -O2,-Os,$(CFLAGS))
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS := $(patsubst -O2,-Os,$(CFLAGS) $(CPPFLAGS))
 
 %:
 	dh ${@} --with bash-completion,python3
@@ -42,6 +35,7 @@
 override_dh_auto_test:
 
 override_dh_install:
+	UDEVDIR=`pkg-config udev --variable=udevdir` && dh_install -p btrfs-progs --autodest $${UDEVDIR#/}
 	dh_install
 	dh_missing --list-missing
 
@@ -49,3 +43,8 @@
 	if test -f Makefile.inc; then \
 		dh_auto_clean; \
 	fi
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
